Bug 564103 - text-mode install package set does not include rpm or yum
Summary: text-mode install package set does not include rpm or yum
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: anaconda
Version: rawhide
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Anaconda Maintenance Team
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F13Alpha, F13AlphaBlocker
TreeView+ depends on / blocked
 
Reported: 2010-02-11 20:34 UTC by James Laska
Modified: 2013-09-02 06:43 UTC (History)
4 users (show)

Fixed In Version: anaconda-13.26-1
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-02-17 16:06:07 UTC


Attachments (Terms of Use)

Description James Laska 2010-02-11 20:34:35 UTC
Description of problem:

Perform a text-mode install.  Boot into the installed system and inspect the packages installed.

Version-Release number of selected component (if applicable):

 * anaconda-13.25

How reproducible:
 * 100% (3 out of 3 attempts)

Steps to Reproduce:
1. Perform a text-mode install (I used a virt guest while booting with "serial console=ttyS0")
2. Boot installed system
3. Attempt to install additional software
  
Actual results:

-bash-4.1# rpm -Uvh http://server/path/to/package.rpm
-bash: rpm: command not found

-bash-4.1# yum
-bash: yum: command not found

Expected results:

rpm and yum should be installed I think?

Additional info:

 * The /root/anaconda-ks.cfg file lists no %packages.  According to jkeating, when no packages are listed, it should install @base and @core.

-bash-4.1# tail -n2 anaconda-ks.cfg
%packages
%end

 * Raising as an F13Alpha blocking bug as this prevents point#14 of the Alpha release criteria (https://fedoraproject.org/wiki/Fedora_13_Alpha_Release_Criteria)
   "#  The installed system must be able to download and install updates with yum and PackageKit "

Comment 1 James Laska 2010-02-17 16:06:07 UTC
Tested using a text-mode install with anaconda-13.26 (F-13-Alpha-TC2).  The installed system contains rpm and yum as expected.


Note You need to log in before you can comment on or make changes to this bug.